## ros-one-checkerboard-detector 1.2.19-6jammy.20251025.2105

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(checkerboard_detector)

find_package(catkin REQUIRED COMPONENTS roscpp rosconsole dynamic_reconfigure cv_bridge sensor_msgs image_geometry
  posedetection_msgs eigen_conversions message_filters tf tf2 jsk_recognition_msgs jsk_recognition_msgs
)
find_package(OpenMP)
find_package(posedetection_msgs)

generate_dynamic_reconfigure_options(cfg/CheckerboardDetector.cfg)

catkin_package(
    CATKIN_DEPENDS roscpp rosconsole cv_bridge sensor_msgs posedetection_msgs image_geometry jsk_recognition_msgs
    DEPENDS
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

#set the default path for built executables to the "bin" directory
# set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
# set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

add_executable(checkerboard_detector src/checkerboard_detector.cpp)
target_link_libraries(checkerboard_detector ${catkin_LIBRARIES})
add_executable(objectdetection_transform_echo src/objectdetection_transform_echo.cpp)
target_link_libraries(objectdetection_transform_echo ${catkin_LIBRARIES})
add_executable(checkerboard_calibration src/checkerboard_calibration.cpp)
target_link_libraries(checkerboard_calibration ${catkin_LIBRARIES})
add_dependencies(checkerboard_detector    posedetection_msgs_generate_messages_cpp)
add_dependencies(checkerboard_calibration posedetection_msgs_generate_messages_cpp)
add_dependencies(objectdetection_transform_echo posedetection_msgs_generate_messages_cpp)
add_dependencies(checkerboard_detector    jsk_recognition_msgs_generate_messages_cpp)
add_dependencies(checkerboard_calibration jsk_recognition_msgs_generate_messages_cpp)
add_dependencies(objectdetection_transform_echo jsk_recognition_msgs_generate_messages_cpp)
add_dependencies(checkerboard_detector ${PROJECT_NAME}_gencfg)

install(TARGETS checkerboard_detector checkerboard_calibration
  objectdetection_transform_echo
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS src/objectdetection_tf_publisher.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

file(GLOB _launch *.launch)
file(GLOB _pdf *.pdf)
install(FILES ${_launch} ${_pdf}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY sample test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  if("$ENV{ROS_DISTRO}" STRGREATER "hydro")
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    add_rostest(test/checkerboard_detector.test)
    add_rostest(test/objectdetection_tf_publisher.test)
    add_rostest(test/objectdetection_transform_echo.test)
  endif()
endif()

=== src/CMakeLists.txt ===
find_package(OpenCV REQUIRED)
rosbuild_add_executable(checkerboard_detector checkerboard_detector.cpp)
rosbuild_link_boost(checkerboard_detector thread)
rosbuild_add_openmp_flags(checkerboard_detector)
target_link_libraries(checkerboard_detector ${OpenCV_LIBRARIES})

rosbuild_add_executable(checkerboard_calibration checkerboard_calibration.cpp)
rosbuild_link_boost(checkerboard_calibration thread)
target_link_libraries(checkerboard_calibration ${OpenCV_LIBRARIES})

include(CheckIncludeFile)
include(CheckCXXCompilerFlag)
include(CheckLibraryExists)
include(CheckFunctionExists)

# check for newer versions of opencv that support cvInitUndistortRectifyMap
# extract include dirs, libraries, and library dirs
rosbuild_invoke_rospack(checkerboard_detector checkerboard_detector cflags export --lang=cpp --attrib=cflags)
rosbuild_invoke_rospack(checkerboard_detector checkerboard_detector lflags export --lang=cpp --attrib=lflags)
foreach(arg ${checkerboard_detector_cflags})
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${arg}")
endforeach(arg ${checkerboard_detector_cflags})

foreach(arg ${checkerboard_detector_lflags})
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${arg}")
  set(_used_lflags "${_used_lflags} ${arg}")
endforeach(arg ${checkerboard_detector_lflags})

string(REGEX MATCHALL "(^| )-l([./+-_\\a-zA-Z]*)" _used_libs "${_used_lflags}")
string(REGEX REPLACE "(^| )-l" "" _used_libs "${_used_libs}")
set(CMAKE_REQUIRED_LIBRARIES ${_used_libs})
check_function_exists(cvInitUndistortRectifyMap HAVE_CV_UNDISTORT_RECTIFY_MAP)

if( HAVE_CV_UNDISTORT_RECTIFY_MAP )
  add_definitions("-DHAVE_CV_UNDISTORT_RECTIFY_MAP")
endif (HAVE_CV_UNDISTORT_RECTIFY_MAP)

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-6jammy.20251025.2105) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:05:59 +0000

ros-one-checkerboard-detector (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-checkerboard-detector (1.2.18-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-checkerboard-detector (1.2.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-checkerboard-detector (1.2.16-0jammy) jammy; urgency=high

  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * use %f instead of %d (#2708 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2708>)
  * Contributors: Amir Tulegenov, Ravi Joshi, Iory Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-checkerboard-detector (1.2.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.13-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.12-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.11-0jammy) jammy; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * fix for python3, use 2to3 -f print, 2to3 -f except
      * support opencv4 to checkerboard_detector
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * relax test conditions
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Add test for objectdetection_tf_publisher
      * Add sample for objectdetection_tf_publisher
      * Add test for objectdetection_transform_echo
      * Add sample for objectdetection_transform_echo
      * Fix namespace for including from upper layer
      * Publish PoseStamped in objectdetection_transform_echo
      * Add sample for checkerboard_calibration
      * Install sample/ and test/ to 'share' space
      * Add test for checkerboard_detector
      * Add sample for checkerboard_detector
      * Publish debug_image even when param display == 0
      * Publish debug_image as well in checkerboard_detector
    
  * Contributors: Kei Okada, Shingo Kitagawa, Yuki Furuta, Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.10-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.9-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.8-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.7-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.6-0jammy) jammy; urgency=high

  * Fix Cmake indent (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * Fix warnings: gencpp -> generate_messsage_cpp (#2296 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2296>)
  * Contributors: Kentaro Wada, Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-checkerboard-detector (1.2.5-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-checkerboard-detector (1.2.4-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-checkerboard-detector (1.2.3-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.2.2-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.2.1-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.2.0-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.3-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.2-0jammy) jammy; urgency=high

  * [checkerboard_detector] update launch and document
  * [checkerboard_detector] add parameters, axis_size and circle_size
  * [checkerboard_detector] add queue_size and publish_queue_size
  * [checkerboard_detector] fix board_type
  * Generate README by script
  * Contributors: Kentaro Wada, YoheiKakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jun 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.1-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Mar 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.0-0jammy) jammy; urgency=high





=== debian/control ===
Source: ros-one-checkerboard-detector
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-eigen-conversions, ros-one-image-geometry, ros-one-jsk-recognition-msgs, ros-one-message-filters, ros-one-posedetection-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/checkerboard_detector
Standards-Version: 3.9.2

Package: ros-one-checkerboard-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-image-geometry, ros-one-image-publisher, ros-one-jsk-recognition-msgs, ros-one-message-filters, ros-one-posedetection-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2
Description: Uses opencv to find checkboards and compute their 6D poses with respect to the image.
 Requires the image to be calibrated. Parameters: display - show the checkerboard detection rect%d_size_x - size of checker in x direction rect%d_size_y - size of checker in y direction grid%d_size_x - number of checkers in x direction grid%d_size_y - number of checkers in y direction There can be more than one grid%d declared, the numbers should grow consecutively starting at 0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-checkerboard-detector//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-checkerboard-detector 1.2.19-6noble.20251025.2103

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-6noble.20251025.2103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:03:45 +0000

ros-one-checkerboard-detector (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-checkerboard-detector (1.2.18-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-checkerboard-detector (1.2.17-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-checkerboard-detector (1.2.16-0noble) noble; urgency=high

  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * use %f instead of %d (#2708 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2708>)
  * Contributors: Amir Tulegenov, Ravi Joshi, Iory Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-checkerboard-detector (1.2.15-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.14-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.13-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.12-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.11-0noble) noble; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * fix for python3, use 2to3 -f print, 2to3 -f except
      * support opencv4 to checkerboard_detector
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * relax test conditions
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Add test for objectdetection_tf_publisher
      * Add sample for objectdetection_tf_publisher
      * Add test for objectdetection_transform_echo
      * Add sample for objectdetection_transform_echo
      * Fix namespace for including from upper layer
      * Publish PoseStamped in objectdetection_transform_echo
      * Add sample for checkerboard_calibration
      * Install sample/ and test/ to 'share' space
      * Add test for checkerboard_detector
      * Add sample for checkerboard_detector
      * Publish debug_image even when param display == 0
      * Publish debug_image as well in checkerboard_detector
    
  * Contributors: Kei Okada, Shingo Kitagawa, Yuki Furuta, Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-checkerboard-detector (1.2.10-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.9-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.8-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.7-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-checkerboard-detector (1.2.6-0noble) noble; urgency=high

  * Fix Cmake indent (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * Fix warnings: gencpp -> generate_messsage_cpp (#2296 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2296>)
  * Contributors: Kentaro Wada, Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-checkerboard-detector (1.2.5-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-checkerboard-detector (1.2.4-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-checkerboard-detector (1.2.3-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.2.2-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.2.1-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.2.0-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.3-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.2-0noble) noble; urgency=high

  * [checkerboard_detector] update launch and document
  * [checkerboard_detector] add parameters, axis_size and circle_size
  * [checkerboard_detector] add queue_size and publish_queue_size
  * [checkerboard_detector] fix board_type
  * Generate README by script
  * Contributors: Kentaro Wada, YoheiKakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jun 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.1-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Mar 2017 00:00:00 -0000

ros-one-checkerboard-detector (1.1.0-0noble) noble; urgency=high





## ros-one-checkerboard-detector 1.2.19-10jammy.20251208.0033

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-10jammy.20251208.0033) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 00:33:54 +0000

## ros-one-checkerboard-detector 1.2.19-10noble.20251208.1122

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-10noble.20251208.1122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 11:22:55 +0000

## ros-one-checkerboard-detector 1.2.19-12jammy.20251215.2151

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12jammy.20251215.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:51:00 +0000

## ros-one-checkerboard-detector 1.2.19-12jammy.20260221.2328

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12jammy.20260221.2328) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:28:32 +0000

## ros-one-checkerboard-detector 1.2.19-12noble.20251215.2149

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12noble.20251215.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:49:15 +0000

## ros-one-checkerboard-detector 1.2.19-12noble.20260222.0034

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12noble.20260222.0034) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:34:53 +0000
